package demo;

import javafx.animation.AnimationTimer;
import javafx.scene.shape.Circle;

public class Ball {

	private double speed;
	private double radius;
	private double x;
	private double y;
	private Circle c;
	private AnimationTimer t;
	
	public Ball(double x, double y, double speed, double radius, Circle c, AnimationTimer t) {
		this.x = x;
		this.y = y;
		this.speed = speed;
		this.radius = radius;
		this.c = c;
		this.t = t;
	}
	
	public void setSpeed(double speed) {
		this.speed = speed;
	}
	
	public void setX(double x) {
		this.x = x;
	}
	
	public void setY(double y) {
		this.y = y;
	}
	
	public void setRadius(double radius) {
		this.radius = radius;
	}
	
	public double getX() {
		return x;
	}
	
	public double getY() {
		return y;
	}
	
	public double getSpeed() {
		return speed;
	}
	
	public double getRadius() {
		return radius;
	}
	
	public Circle getCircle() {
		return c;
	}
	
	public void stopTimer() {
		t.stop();
	}
	
	public void startTimer() {
		t.start();
	}
	
	public void draw() {
		c.setRadius(radius);
		c.setTranslateX(x);
		c.setTranslateY(y);
	}
}
